Add Leads to a List
curl --request POST \
--url https://api.amplemarket.com/lead-lists/{id}/leads \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"leads": [
{
"linkedin_url": "<string>",
"email": "jsmith@example.com",
"title": "<string>",
"company_name": "<string>",
"company_domain": "<string>",
"phone_numbers": [
"<string>"
],
"context": {}
}
]
}
'import requests
url = "https://api.amplemarket.com/lead-lists/{id}/leads"
payload = { "leads": [
{
"linkedin_url": "<string>",
"email": "jsmith@example.com",
"title": "<string>",
"company_name": "<string>",
"company_domain": "<string>",
"phone_numbers": ["<string>"],
"context": {}
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
leads: [
{
linkedin_url: '<string>',
email: 'jsmith@example.com',
title: '<string>',
company_name: '<string>',
company_domain: '<string>',
phone_numbers: ['<string>'],
context: {}
}
]
})
};
fetch('https://api.amplemarket.com/lead-lists/{id}/leads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"total": 1,
"total_added_to_lead_list": 1
}Lead List
Add Leads to a List
Add Leads to a List
POST
/
lead-lists
/
{id}
/
leads
Add Leads to a List
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Lead List id
Body
application/json
Leads to add to the list
You can add up to 10,000 leads at a time. However, each Lead List can have a maximum of 60,000 leads. When approaching this limit, new leads will be added partially until the limit is reached. When the limit is hit, a 409 HTTP status code will be returned. Enriching, email validation, and reveal settings are inherited from the Lead List settings. If credits are spent, those will be deducted from the admin user of the account.
Maximum array length:
10000Show child attributes
Show child attributes
Available options:
linkedin, email, titles_and_company Was this page helpful?
⌘I